Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Oct 2024 11:43:58 +0200

> From: Visuwesh <[email-masked]>
> Cc: Tim Ruffing <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 31 Oct 2024 13:42:06 +0530
> 
> > Did the "bad" display start from "good" at the beginning of a session?
> > Or did it start from "bad" to begin with?  If the former, the next
> > idea is to put a watchpoint on the cached composition in a session
> > with "good" display, and then do whatever it takes to make it "bad",
> > hoping that the watchpoint will break at some point and show us the
> > code which replaces nil with these [X-OFF Y-OFF WADJUST] vectors.
> 
> I think it starts from "bad" to begin with.  But the former theory could
> still apply, if you do not mind this vague answer, can you provide
> instructions to set a watchpoint?  If the watchpoint never triggers, we
> might be able to at least rule out the former theory.

Let's first see if a breakpoint inside
composition_gstring_adjust_zero_width ever breaks in your cases.  If
it doesn't we will try the watchpoint technique.